GDB (xrefs)

Public Attributes | List of all members
terminal_info Struct Reference

## Public Attributes
char * | run_terminal
serial_ttystate | ttystate
pid_t | process_group
int | tflags

## Detailed Description

Definition at line 59 of file inflow.c.

## Member Data Documentation

## ◆ process_group

pid_t terminal_info::process_group

Definition at line 71 of file inflow.c.

Referenced by child_terminal_inferior(), child_terminal_info(), child_terminal_init(), child_terminal_ours_1(), inferior_process_group(), and set_initial_gdb_ttystate().

## ◆ run_terminal

char* terminal_info::run_terminal

Definition at line 63 of file inflow.c.

Referenced by child_terminal_inferior(), child_terminal_ours_1(), copy_terminal_info(), inflow_inferior_data_cleanup(), inflow_inferior_exit(), new_tty_postfork(), and set_sigint_trap().

## ◆ tflags

int terminal_info::tflags

Definition at line 75 of file inflow.c.

Referenced by child_terminal_inferior(), child_terminal_info(), child_terminal_ours_1(), and set_initial_gdb_ttystate().

## ◆ ttystate

serial_ttystate terminal_info::ttystate

Definition at line 67 of file inflow.c.

Referenced by child_terminal_inferior(), child_terminal_info(), child_terminal_init(), child_terminal_ours_1(), copy_terminal_info(), gdb_save_tty_state(), inflow_inferior_data_cleanup(), inflow_inferior_exit(), and set_initial_gdb_ttystate().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/inflow.c